UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
tnwg_dstat_peer_receive_stats_t_stct Struct Reference

Structure containing receiving statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC. More...

`#include <tnwgdmonmsgs.h>`

## Data Fields
uint64_t | data_msgs_rcvd
| Data messages received.
uint64_t | data_msg_bytes_rcvd
| Date message bytes received.
uint64_t | transport_topic_fragment_data_msgs_rcvd
| Transport topic fragment data messages received.
uint64_t | transport_topic_fragment_data_msg_bytes_rcvd
| Transport topic fragment data message bytes received.
uint64_t | transport_topic_fragment_data_msgs_rcvd_unknown_source
| Transport topic fragment data messages received with an unknown source.
uint64_t | transport_topic_fragment_data_msg_bytes_rcvd_unknown_source
| Transport topic fragment data message bytes received with an unknown source.
uint64_t | transport_topic_req_fragment_data_msgs_rcvd
| Transport topic request fragment data messages received.
uint64_t | transport_topic_req_fragment_data_msg_bytes_rcvd
| Transport topic request fragment data message bytes received.
uint64_t | transport_topic_req_fragment_data_msgs_rcvd_unknown_source
| Transport topic request fragment data messages received with an unknown source.
uint64_t | transport_topic_req_fragment_data_msg_bytes_rcvd_unknown_source
| Transport topic request fragment data message bytes received with an unknown source.
uint64_t | transport_topic_control_msgs_rcvd
| Transport topic control messages received.
uint64_t | transport_topic_control_msg_bytes_rcvd
| Transport topic control message bytes received.
uint64_t | transport_topic_control_msgs_rcvd_unknown_source
| Transport topic control messages received with an unknown source.
uint64_t | transport_topic_control_msg_bytes_rcvd_unknown_source
| Transport topic control message bytes received with an unknown source.
uint64_t | immediate_topic_fragment_data_msgs_rcvd
| Immediate topic fragment data messages received.
uint64_t | immediate_topic_fragment_data_msg_bytes_rcvd
| Immediate topic fragment data message bytes received.
uint64_t | immediate_topic_req_fragment_data_msgs_rcvd
| Immediate topic request fragment data messages received.
uint64_t | immediate_topic_req_fragment_data_msg_bytes_rcvd
| Immediate topic request fragment data message bytes received.
uint64_t | immediate_topicless_fragment_data_msgs_rcvd
| Immediate topicless fragment data messages received.
uint64_t | immediate_topicless_fragment_data_msg_bytes_rcvd
| Immediate topicless fragment data message bytes received.
uint64_t | immediate_topicless_req_fragment_data_msgs_rcvd
| Immediate topicless request fragment data messages received.
uint64_t | immediate_topicless_req_fragment_data_msg_bytes_rcvd
| Immediate topicless request fragment data message bytes received.
uint64_t | unicast_data_msgs_rcvd
| Unicast data messages received.
uint64_t | unicast_data_msg_bytes_rcvd
| Unicast data message bytes received.
uint64_t | unicast_data_msgs_rcvd_no_fwd
| Unicast data messages received with no forwarding information.
uint64_t | unicast_data_msg_bytes_rcvd_no_fwd
| Unicast data message bytes received with no forwarding information.
uint64_t | unicast_data_msgs_rcvd_unknown_fwd
| Unicast data messages received with unknown forwarding information.
uint64_t | unicast_data_msg_bytes_rcvd_unknown_fwd
| Unicast data message bytes received with unknown forwarding information.
uint64_t | unicast_data_msgs_rcvd_no_stream
| Unicast data messages received with no stream information.
uint64_t | unicast_data_msg_bytes_rcvd_no_stream
| Unicast data message bytes received with no stream information.
uint64_t | unicast_data_msgs_dropped_no_route
| Unicast data messages dropped no route.
uint64_t | unicast_data_msg_bytes_dropped_no_route
| Unicast data message bytes dropped no route.
uint64_t | cntl_msgs_rcvd
| Control messages received.
uint64_t | cntl_msg_bytes_rcvd
| Date message bytes received.
uint64_t | unicast_cntl_msgs_rcvd
| Unicast control messages received.
uint64_t | unicast_cntl_msg_bytes_rcvd
| Control message bytes received.
uint64_t | unicast_cntl_rxreq_msgs_rcvd
| Retransmission requests received.
uint64_t | unicast_cntl_rxreq_msg_bytes_rcvd
| Retransmission request bytes received.
uint64_t | unicast_cntl_msgs_rcvd_unhandled
| Unicast control messages received but unhandled.
uint64_t | unicast_cntl_msg_bytes_rcvd_unhandled
| Unicast control message bytes received but unhandled.
uint64_t | unicast_cntl_msgs_rcvd_no_stream
| Unicast control messages received with no stream information.
uint64_t | unicast_cntl_msg_bytes_rcvd_no_stream
| Unicast control message bytes received with no stream information.
uint64_t | unicast_cntl_msgs_dropped_no_route
| Unicast control messages dropped no route.
uint64_t | unicast_cntl_msg_bytes_dropped_no_route
| Unicast control message bytes dropped no route.
uint64_t | gateway_cntl_msgs_rcvd
| DRO control messages received.
uint64_t | gateway_cntl_msg_bytes_rcvd
| DRO control message bytes received.

## Detailed Description

Structure containing receiving statistics for a peer portal. Used by tnwg_portal_peer_dstat_record_t. Except where indicated, all fields of type `lbm_uintXX_t` should be byte-swapped if `hdr.magic` is equal to LBM_TNWG_DAEMON_ANTIMAGIC.

The documentation for this struct was generated from the following file:

- tnwgdmonmsgs.h